CVE-2019-14287

Public on 2019-10-11
Modified on 2019-10-14
Description
A flaw was found in the way sudo implemented running commands with arbitrary user ID. If a sudoers entry is written to allow the attacker to run a command as any user except root, this flaw can be used by the attacker to bypass that restriction.
Severity
Important
CVSS v3 Base Score
7.0
See breakdown

Affected Packages

Platform Package Release Date Advisory
Amazon Linux 2 sudo 2019-10-11 22:07 ALAS2-2019-1315
Amazon Linux 1 sudo 2019-10-12 15:49 ALAS-2019-1309

CVSS Scores

Score Type Score Vector
Amazon Linux CVSSv3 7.0 CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
NVD CVSSv2 9.0 AV:N/AC:L/Au:S/C:C/I:C/A:C
NVD CVSSv3 8.8 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H